> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/trips.md).

# Trips

## POST /scheduler/trips/{uid}/set-name/

> Set trip name

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Trips"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"setNameTripBody":{"properties":{"name":{"type":"string"}},"required":["name"],"type":"object"},"tripResponse":{"properties":{"uid":{"description":"The trip identifier.","format":"uuid","type":"string"},"name":{"description":"The trip name.","type":"string"}},"type":"object"}}},"paths":{"/scheduler/trips/{uid}/set-name/":{"post":{"operationId":"setNameTrip","parameters":[{"in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/setNameTripBody"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/tripResponse"}}},"description":"Trip name updated"}},"summary":"Set trip name","tags":["Trips"]}}}}
````
